#
# spec file for package python-zope.location-doc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-zope.location-doc
Version:        4.0.3
Release:        lp151.2.3
Summary:        Documentation for python-zope.location
License:        ZPL-2.1
Group:          Development/Languages/Python
Url:            http://www.python.org/pypi/zope.location
Source:         https://files.pythonhosted.org/packages/source/z/zope.location/zope.location-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module zope.location = %{version}}
# SECTION documentation requirements
BuildRequires:  python3-Sphinx
BuildRequires:  python3-repoze.sphinx.autointerface
# /SECTION
# SECTION testing requirements
BuildRequires:  %{python_module zope.testrunner}
# /SECTION
BuildRequires:  python-rpm-macros
Provides:       %{python_module zope.location-doc = %{version}}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Contains documentation for python-zope.location.

%prep
%setup -q -n zope.location-%{version}

%build
%{_python_use_flavor python3}
%__python3 setup.py build_sphinx && rm build/sphinx/html/.buildinfo build/sphinx/html/objects.inv

%install
# nothing to do here

%check
%python_exec %{_bindir}/zope-testrunner --test-path=src -v

%files
%defattr(-,root,root,-)
%doc build/sphinx/html/

%changelog
* Thu Jul 13 2017 aloisio@gmx.com
- Update to version 4.0.3
  * Added Python 3.4 support.
  * Updated boostrap.py to version 2.2.
- Split docs and tests into separate -doc package since running
  tests and sometimes building docs had become very messy.
  Also see (gh#/zopefoundation/zope.proxy#18)
- Converted to single-spec
* Mon Jul 29 2013 hpj@urpla.net
- version 4.0.2: initial build
